<template>
  <v-col justify="center" align="center">
    <div v-for="item in cartItem" :key="item.productTitle">
      <cart-item :price="item.productPrice" :product="item.productTitle"/>
    </div>
    <p>{{ totalPrice }}</p>
    <v-btn depressed
           >
      Bestellen
    </v-btn>
  </v-col>

</template>

<script>
import cartItem from '@/components/cartItem';

import {getCart} from '@/clients/dataClient';


export default {
  name: 'cart',

  data() {
    return {
      cartItem: [],
      totalPrice: 0,
    }
  },
  methods: {
    getTotalPrice() {
      for (let i = 0; i < this.cartItem.length; i++) {
        this.totalPrice += this.cartItem[i].productPrice;
      }
    },

  },
  async created() {
    this.cartItem = await getCart();
    this.getTotalPrice();
  },
  head() {
    return {
      title: "Cart",
      meta: [
        { hid: 'description', name: 'description', content: 'Winkelwagen van TopicShop' },
        { hid: 'keywords', name: 'keywords', content: '3D, 3D printer, webshop, 3D component, PLA-filament, kopen, verkopen, winkelwagen, TopicShop'},
      ]
    }
  }
};
</script>

<style scoped>

</style>
